Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.semanticweb.owlapi.owllink.parser
Class OWLlinkSetOfIndividualSynsetsElementHandler

    java.lang.Object

          org.semanticweb.owlapi.owllink.parser.AbstractOWLlinkElementHandler<R>
              org.semanticweb.owlapi.owllink.parser.AbstractOWLlinkResponseElementHandler<C>
                  org.semanticweb.owlapi.owllink.parser.AbstractConfirmationElementHandler<R>
                      org.semanticweb.owlapi.owllink.parser.AbstractOWLlinkKBResponseElementHandler<SetOfSynsets<S>>
                          org.semanticweb.owlapi.owllink.parser.AbstractOWLlinkSetOfSynsetsElementHandler<OWLIndividual>
                              org.semanticweb.owlapi.owllink.parser.OWLlinkSetOfIndividualSynsetsElementHandler

All Implemented Interfaces:
  OWLlinkElementHandler<SetOfSynsets<OWLIndividual>>, OWLlinkResponseElementHandler<SetOfSynsets<OWLIndividual>>

    public class OWLlinkSetOfIndividualSynsetsElementHandler

extends AbstractOWLlinkSetOfSynsetsElementHandler<OWLIndividual>

Created by IntelliJ IDEA. Author: Olaf Noppens Date: 24.11.2009

Field Summary

Fields inherited from class org.semanticweb.owlapi.owllink.parser.AbstractOWLlinkSetOfSynsetsElementHandler
`synsets`

Constructor Summary
`OWLlinkSetOfIndividualSynsetsElementHandler(OWLXMLParserHandler handler)`

Method Summary
`SetOfSynsets<OWLIndividual>` | `getOWLLinkObject()`
`void` | `handleChild(OWLlinkIndividualSynsetElementHandler handler)`

Methods inherited from class org.semanticweb.owlapi.owllink.parser.AbstractOWLlinkSetOfSynsetsElementHandler
`startElement`

Methods inherited from class org.semanticweb.owlapi.owllink.parser.AbstractOWLlinkKBResponseElementHandler
`getRequest`

Methods inherited from class org.semanticweb.owlapi.owllink.parser.AbstractConfirmationElementHandler
`attribute`

Methods inherited from class org.semanticweb.owlapi.owllink.parser.AbstractOWLlinkResponseElementHandler
`endElement`

Methods inherited from class org.semanticweb.owlapi.owllink.parser.AbstractOWLlinkElementHandler
`getFullIRI, getOWLObject, getParentHandler, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.semanticweb.owlapi.owllink.parser.OWLlinkElementHandler
`handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild`

Constructor Detail

### OWLlinkSetOfIndividualSynsetsElementHandler

    public OWLlinkSetOfIndividualSynsetsElementHandler(OWLXMLParserHandler handler)

Method Detail

### handleChild

    public void handleChild(OWLlinkIndividualSynsetElementHandler handler)

  Specified by:
    `handleChild` in interface `OWLlinkElementHandler<SetOfSynsets<OWLIndividual>>`
  Overrides:
    `handleChild` in class `AbstractOWLlinkElementHandler<SetOfSynsets<OWLIndividual>>`

### getOWLLinkObject

    public SetOfSynsets<OWLIndividual> getOWLLinkObject()

  Specified by:
    `getOWLLinkObject` in interface `OWLlinkElementHandler<SetOfSynsets<OWLIndividual>>`
  Specified by:
    `getOWLLinkObject` in class `AbstractOWLlinkElementHandler<SetOfSynsets<OWLIndividual>>`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD